Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest	(revision 44)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Makefile.Selftest	(revision 48)
@@ -30,13 +30,15 @@
 
 all_selftest   			: test_env $(DIR_OBJ) $(DIR_BIN) $(DIR_LOG)
-				@$(MAKE) library
-				@$(MAKE) $(DIR_BIN)/$(EXEC).x
+				@\
+				$(MAKE) library;\
+				$(MAKE) $(DIR_BIN)/$(EXEC).x;
 
 execute				: all_selftest
-				@$(MAKE) $(EXEC_LOG)
+				@$(MAKE) $(EXEC_LOG);
 
 reconfig			:
-				@$(MAKE) config_clean
-				@$(MAKE) config
+				@\
+				$(MAKE) config_clean;\
+				$(MAKE) config;
 
 config_clean			:
@@ -44,6 +46,6 @@
 
 config        			: $(DIR_CFG_GEN)
-				@$(ECHO) "Generate configuration"
-				@													\
+				@\
+				$(ECHO) "Generate configuration";\
 				declare -i  CPT=0;											\
 				declare     files;											\
@@ -111,6 +113,7 @@
 
 $(DIR_LOG)/%.exec.log		: $(DIR_CFG_GEN)/%.cfg $(DIR_BIN)/$(EXEC).x
-				@$(ECHO) "Execute            : $*"
-				@$(EXPORT) SYSTEMC=$(SYSTEMC_$(SIMULATOR)) ; ./$(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@
+				@\
+				$(ECHO) "Execute            : $*";\
+				$(EXPORT) SYSTEMC=$(SYSTEMC_$(SIMULATOR)) ; ./$(DIR_BIN)/$(EXEC).x $(EXEC_PARAMS) $* `$(CAT) $<` &> $@
 				declare -i count=`$(GREP) -ch "Test OK" $@`;		\
 				if $(TEST) $$count -ne 0;       			\
@@ -120,18 +123,22 @@
 
 $(DIR_BIN)/%.x			: $(OBJECTS) $(HEADERS) $(DIR_LIB)
-				@$(ECHO) "Linkage            : $*"
-				$(CXX) $(LFLAGS) -o $@ $(OBJECTS) $(LIBS)
+				@\
+				$(ECHO) "Linkage            : $*";\
+				$(CXX) $(LFLAGS) -o $@ $(OBJECTS) $(LIBS);
 
 $(DIR_BIN)			:
-				@$(ECHO) "Create directory   : $@"
-				@$(MKDIR) $@
+				@\
+				$(ECHO) "Create directory   : $@";\
+				$(MKDIR) $@;
 
 $(DIR_LOG)			:
-				@$(ECHO) "Create directory   : $@"
-				@$(MKDIR) $@
+				@\
+				$(ECHO) "Create directory   : $@";\
+				$(MKDIR) $@;
 
 $(DIR_CFG_GEN)			:
-				@$(ECHO) "Create directory   : $@"
-				@$(MKDIR) $@
+				@\
+				$(ECHO) "Create directory   : $@";\
+				$(MKDIR) $@;
 
 selftest_clean_all		: library_clean
@@ -144,29 +151,33 @@
 					*.stat			\
 					generated_by_systemcass \
-					core*
+					core*;
 
 selftest_help			:
-				@$(ECHO) " -----[ Selftest ]-----------------------------------"
-				@$(ECHO) ""
-				@$(ECHO) " * all_selftest         : compile all c++ file and execute"
-				@$(ECHO) " * execute              : execute all instance"
-				@$(ECHO) " * config               : generate configuration with configuration's file" 
-				@$(ECHO) " * reconfig             : regenerate configuration with configuration's file" 
-				@$(ECHO) " * clean                : Erase all generate files"
-				@$(ECHO) " * clean_all            : Clean + Erase all dependant library"
-				@$(ECHO) " * help                 : print this text"
-				@$(ECHO) ""
+				@\
+				$(ECHO) " -----[ Selftest ]-----------------------------------";\
+				$(ECHO) "";\
+				$(ECHO) " * all_selftest         : compile all c++ file and execute";\
+				$(ECHO) " * execute              : execute all instance";\
+				$(ECHO) " * config               : generate configuration with configuration's file" ;\
+				$(ECHO) " * reconfig             : regenerate configuration with configuration's file" ;\
+				$(ECHO) " * clean                : Erase all generate files";\
+				$(ECHO) " * clean_all            : Clean + Erase all dependant library";\
+				$(ECHO) " * help                 : print this text";\
+				$(ECHO) "";
 
 help				: 
-				@$(MAKE) common_help  
-				@$(MAKE) synthesis_help  
-				@$(MAKE) selftest_help
+				@\
+				$(MAKE) common_help  ;\
+				$(MAKE) synthesis_help;\  
+				$(MAKE) selftest_help;
 
 clean				: 
-				@$(MAKE) common_clean 
-				@$(MAKE) synthesis_clean 
-				@$(MAKE) selftest_clean
+				@\
+				$(MAKE) common_clean ;\
+				$(MAKE) synthesis_clean ;\
+				$(MAKE) selftest_clean;
 
 clean_all			: 
-				@$(MAKE) clean 
-				@$(MAKE) selftest_clean_all
+				@\
+				$(MAKE) clean ;\
+				$(MAKE) selftest_clean_all;
